Package fr.gouv.vitam.storage.offers.tape

# Class TapeLibraryFactory

java.lang.Object
fr.gouv.vitam.storage.offers.tape.TapeLibraryFactory

public class TapeLibraryFactory extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `TapeLibraryFactory.TapeServiceCreator`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AccessRequestManager`
  `getAccessRequestManager()`
  `ArchiveCacheStorage`
  `getArchiveCacheStorage()`
  `BackupFileStorage`
  `getBackupFileStorage()`
  `TapeLibraryPool`
  `getFirstTapeLibraryPool()`
  `static TapeLibraryFactory`
  `getInstance()`
  `TapeCatalogService`
  `getTapeCatalogService()`
  `TapeLibraryContentAddressableStorage`
  `getTapeLibraryContentAddressableStorage()`
  `ConcurrentMap<String,TapeLibraryPool>`
  `getTapeLibraryPool()`
  `void`
  `initialize(TapeLibraryConfiguration configuration, com.mongodb.client.MongoDatabase mongoDatabase)`
  `void`
  `overrideTapeServiceCreatorForTesting(TapeLibraryFactory.TapeServiceCreator tapeServiceCreator)`
  `void`
  `resetTapeLibraryFactoryAfterTests()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### initialize

    public void initialize(TapeLibraryConfiguration configuration, com.mongodb.client.MongoDatabase mongoDatabase) throws IOException, IllegalPathException
    Throws:
      `IOException`
      `IllegalPathException`

  - ### getTapeLibraryContentAddressableStorage

    public TapeLibraryContentAddressableStorage getTapeLibraryContentAddressableStorage()

  - ### getInstance

    public static TapeLibraryFactory getInstance()

  - ### getTapeLibraryPool

    public ConcurrentMap<String,TapeLibraryPool> getTapeLibraryPool()

  - ### getFirstTapeLibraryPool

    public TapeLibraryPool getFirstTapeLibraryPool()

  - ### getBackupFileStorage

    public BackupFileStorage getBackupFileStorage()

  - ### getTapeCatalogService

    public TapeCatalogService getTapeCatalogService()

  - ### getAccessRequestManager

    public AccessRequestManager getAccessRequestManager()

  - ### getArchiveCacheStorage

    public ArchiveCacheStorage getArchiveCacheStorage()

  - ### overrideTapeServiceCreatorForTesting

    public void overrideTapeServiceCreatorForTesting(TapeLibraryFactory.TapeServiceCreator tapeServiceCreator)

  - ### resetTapeLibraryFactoryAfterTests

    public void resetTapeLibraryFactoryAfterTests()